org.richfaces.component

## Enum UIPoll.Properties

- java.lang.Object
- - java.lang.Enum<UIPoll.Properties>
  - - org.richfaces.component.UIPoll.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIPoll.Properties>
  Enclosing class:
    UIPoll

      protected static enum UIPoll.Properties
      extends Enum<UIPoll.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bypassUpdates`
    `data`
    `enabled`
    `interval`
    `limitRender`
    `onbeforedomupdate`
    `onbegin`
    `oncomplete`
    `onerror`
    `ontimer`
    `resetValues`
    `status`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIPoll.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIPoll.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bypassUpdates

          public static final UIPoll.Properties bypassUpdates

    - #### data

          public static final UIPoll.Properties data

    - #### enabled

          public static final UIPoll.Properties enabled

    - #### interval

          public static final UIPoll.Properties interval

    - #### limitRender

          public static final UIPoll.Properties limitRender

    - #### onbeforedomupdate

          public static final UIPoll.Properties onbeforedomupdate

    - #### onbegin

          public static final UIPoll.Properties onbegin

    - #### oncomplete

          public static final UIPoll.Properties oncomplete

    - #### onerror

          public static final UIPoll.Properties onerror

    - #### ontimer

          public static final UIPoll.Properties ontimer

    - #### resetValues

          public static final UIPoll.Properties resetValues

    - #### status

          public static final UIPoll.Properties status

  - ### Method Detail

    - #### values

          public static UIPoll.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIPoll.Properties c : UIPoll.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIPoll.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.